Debian Bug report logs - #513203
missing cache values for findutils

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Neil Williams <codehelp@debian.org>

Date: Sun, 11 May 2008 18:09:01 UTC

Severity: normal

Found in version 2.3.3

Fixed in version dpkg-cross/2.4.0

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#480716; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and forwarded. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: buildd.emdebian.org: New version of findutils fails to cross build, prevents update in Emdebian
Date: Sun, 11 May 2008 19:05:02 +0100
Package: general
Severity: normal
User: codehelp@debian.org

In preparation for a pseudo-package, buildd.emdebian.org, I'm filing
status bugs about packages that fail to crossbuild successfully, despite
building successfully in the past. i.e. where an existing package in
Emdebian cannot be updated because the new version fails in a new and
different way.
:-(

A similar problem to #480706 - looks like a new cache value is needed
but I haven't been able to identify it.

$ emsource --status findutils
Checking the apt-cross cache is up to date for arm.
Checking status of findutils in /opt/emdebian/trunk/f/findutils/trunk/
6 emdebian patch files
0 debian patch files

Checking emdebuild status in /opt/emdebian/trunk/f/findutils/trunk/
build log:
	findutils (4.4.0) FAILED to cross build for arm.
/opt/emdebian/trunk/f/findutils/trunk/findutils_4.4.0-2em1_arm.build

Checking empdebuild status
findutils may be out of date.
Checking for error logs in /opt/emdebian/trunk/f/findutils/trunk/
Checking bug status
No open cross-building bugs for findutils
findutils FAILED to build.

make[5]: Entering directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0/gnulib/lib'
depbase=`echo areadlink-with-size.o | sed
's|[^/]*$|.deps/&|;s|\.o$||'`;\
	arm-linux-gnu-gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../..
-I../../intl   -Wall -g -O2 -MT areadlink-with-size.o -MD -MP -MF
$depbase.Tpo -c -o areadlink-with-size.o areadlink-with-size.c &&\
	mv -f $depbase.Tpo $depbase.Po
In file included from ./stdio.h:31,
                 from areadlink-with-size.c:25:
/usr/arm-linux-gnu/include/stdio.h:718: error: expected declaration
specifiers or ‘...’ before ‘(’ token
/usr/arm-linux-gnu/include/stdio.h:718: error: conflicting types for
‘rpl_fseeko’
./stdio.h:275: error: previous declaration of ‘rpl_fseeko’ was here
make[5]: *** [areadlink-with-size.o] Error 1
make[5]: Leaving directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0/gnulib/lib'
make[4]: *** [all] Error 2
make[4]: Leaving directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0/gnulib/lib'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0/gnulib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/opt/emdebian/trunk/f/findutils/trunk/findutils-4.4.0'
make: *** [build-stamp] Error 2
dpkg-buildpackage: failure: debian/rules build gave error exit status 2


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information stored:
Bug#480716; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 480716-quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <480716-quiet@bugs.debian.org>
Subject: general: cache file improvements
Date: Mon, 26 May 2008 15:57:15 +0100
[Message part 1 (text/plain, inline)]
Package: general
Followup-For: Bug #480716

To fix the build failure:
/usr/arm-linux-gnu/include/stdio.h:718: error: expected declaration
specifiers or ‘...’ before ‘(’ token
/usr/arm-linux-gnu/include/stdio.h:718: error: conflicting types for
‘rpl_fseeko’
./stdio.h:275: error: previous declaration of ‘rpl_fseeko’ was here

ac_cv_func_malloc_0_nonnull=yes
ac_cv_func_realloc_0_nonnull=yes
ac_cv_func_calloc_0_nonnull=yes
gl_cv_header_working_fcntl_h=yes
gl_cv_func_fflush_stdin=yes
ac_cv_func_fnmatch_gnu=yes
gl_cv_func_getcwd_null=yes
gl_cv_func_gnu_getopt=yes

A subsequent build failure due to wcwidth and wchar.h is fixed with this
cache value.

gl_cv_func_wcwidth_works=yes

Likely to also help coreutils.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Mon, 26 May 2008 15:51:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `general' to `buildd.emdebian.org'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 03 Sep 2008 06:30:25 GMT) Full text and rfc822 format available.

Bug 480716 cloned as bug 513203. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 09:18:02 GMT) Full text and rfc822 format available.

Bug reassigned from package `buildd.emdebian.org' to `dpkg-cross'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 09:18:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 2.3.3. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 09:18:05 GMT) Full text and rfc822 format available.

Changed Bug title to `missing cache values for findutils' from `buildd.emdebian.org: New version of findutils fails to cross build, prevents update in Emdebian'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 27 Jan 2009 09:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#513203; Package dpkg-cross. (Tue, 27 Jan 2009 09:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Tue, 27 Jan 2009 09:24:05 GMT) Full text and rfc822 format available.

Message #27 received at 513203@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 513203@bugs.debian.org
Subject: Cache values
Date: Tue, 27 Jan 2009 09:20:52 +0000
[Message part 1 (text/plain, inline)]
When trying to close #480716, I found that the cache values required by
findutils had not been included into dpkg-cross.

+# findutils
+if [ "$PACKAGE" = "findutils" -o "$PACKAGE_NAME" = "findutils" ]; then
+ac_cv_func_malloc_0_nonnull=yes
+ac_cv_func_realloc_0_nonnull=yes
+ac_cv_func_calloc_0_nonnull=yes
+gl_cv_header_working_fcntl_h=yes
+gl_cv_func_fflush_stdin=yes
+ac_cv_func_fnmatch_gnu=yes
+gl_cv_func_getcwd_null=yes
+gl_cv_func_gnu_getopt=yes
+gl_cv_func_wcwidth_works=yes
+fi
+

This change will be in dpkg-cross 2.3.4, due for release today.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 15 Feb 2009 14:18:35 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Sun, 15 Feb 2009 14:18:35 GMT) Full text and rfc822 format available.

Message #32 received at 513203-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 513203-close@bugs.debian.org
Subject: Bug#513203: fixed in dpkg-cross 2.4.0
Date: Sun, 15 Feb 2009 13:59:24 +0000
Source: dpkg-cross
Source-Version: 2.4.0

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.4.0.dsc
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.dsc
dpkg-cross_2.4.0.tar.gz
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0.tar.gz
dpkg-cross_2.4.0_all.deb
  to pool/main/d/dpkg-cross/dpkg-cross_2.4.0_all.deb
libdebian-dpkgcross-perl_2.4.0_all.deb
  to pool/main/d/dpkg-cross/libdebian-dpkgcross-perl_2.4.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 513203@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Feb 2009 11:25:46 +0000
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.4.0
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 447427 493180 499292 506229 506956 513203 514249 514604
Changes: 
 dpkg-cross (2.4.0) unstable; urgency=low
 .
   * Merge Emdebian releases into Debian.
   * Remove dependencies on outdated -dcv1 compatibility packages,
     retain Provides for now. (Closes: #514249)
 .
 dpkg-cross (2.3.6) unstable; urgency=low
 .
   * Fix cache support for packages with unusual AC_INIT calls.
   * Add cache support for mipsel.
 .
 dpkg-cross (2.3.5) unstable; urgency=low
 .
   * [INTL:es] Spanish debconf template translation for dpkg-cross
     (Closes: #514604)
   * Implement support for package-specific cache values using CONFIG_SITE
     and /etc/dpkg-cross/cross-config.d/$arch support. (Closes: #493180)
 .
 dpkg-cross (2.3.4) unstable; urgency=low
 .
   * Fix "dpkg-cross fails to provide correct .pc for libpthread-stubs0-
     dev" by marking pkgconfig files in /usr/share/ as 'useful'.
     (Closes: #506229)
   * Allow an exception so that dpkg-cross can handle symlinks to
     pkgconfig files. (Closes: #506956)
   * Debian/DpkgCross.pm :Add a note to endiannes function that dpkg-
     cross needs to be installed as well as the perl module in order for
     the function to retrieve the endianness data.
   * Add missing cache values for findutils to allow findutils to remove
     the cache file. (Closes: #513203)
 .
 dpkg-cross (2.3.3) unstable; urgency=low
 .
   * Migrate gccross to emdebian-tools
   *  + to aid migration of dpkg-cross into dpkg and dpkg-dev
   *  + to retain gccross support until all packages are fixed
   *  + to implement support for marking all packages using gccross as
     buggy.
   * drop buildcross which is now implemented inside emdebuild if
     '[X-]Build-Cross-Libtool: yes' is used in debian/xcontrol
   * dpkg-cross : migrate manpage content to POD for compatibility with
     dpkg-dev
   * migrate default options into the module instead of the conffile
   * check for and remove dangling symlinks (Closes: #499292) by
     stopping the creation of symlinks for files that are not
     interesting.
   * remove obsolete files from CVS and source tarball
   * using pod2man, so drop docbook-to-man build-depends
   * Improve error checking in case  value really is undefined
   * Add dynamic archtable settings to make it easier to support uClibc
     permutations: please support wrong architecture (Closes: #447427)
   * dpkg-cross : Remove cairo hack and finish simplifying the regexp
     lines to remove unnecessary escape characters.
   * debian/rules: final tweak to update from i18n update, clean up
     module man page
 .
 dpkg-cross (2.3.2) unstable; urgency=low
 .
   * Support package-specific cache values
   * config/cross-config.arm config/cross-config.armel : load the global
     variables before the previous values to retain the architecture-
     dependent values
   * config/cross-config.cache : drop orbit data (specialized support
     elsewhere) and reorganise blocks alphabetically
   * dpkg-cross : Implement support for generated cache data in
     /etc/dpkg-cross/cross-config.d/ and architecture-dependent sub
     directories
   * config/cross-config.cache : wrap cache values in package and
     package_name conditionals. Restrict loading of files in
     /etc/dpkg-cross/cross-config.d/ to files matching the package_name
     variable assigned within ./configure.
   * dpkg-cross : Support installing cmake files in -dev packages.
   * Adapt the experimental CMake example file for (hopefully) different
     Linux architectures
   * Add a few CMake tips to the dpkg-cross manpage
 .
 dpkg-cross (2.3.1) unstable; urgency=low
 .
   * Support collected cache values for system-wide comparisons
Checksums-Sha1: 
 f59caff76c01420b6553ac3d43a9210020474ceb 1223 dpkg-cross_2.4.0.dsc
 f5c1d37fec5c40f457c4c3ef2fa6ecc5d4cffc03 73460 dpkg-cross_2.4.0.tar.gz
 2a672b2cd9761f4e1f69181e43c764987952a589 50356 dpkg-cross_2.4.0_all.deb
 c7ca74a045e4f16da668d93f3bac8ba54fd78a1e 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Checksums-Sha256: 
 f78769677f00f88076360d531a579d5418f644e2dc1bbf709f92c4caf739f46b 1223 dpkg-cross_2.4.0.dsc
 04240bac9c74eff2d8189fe1c43fa0a0b8db1152901035c73e6b78739108303b 73460 dpkg-cross_2.4.0.tar.gz
 1e544fc008b02ec2a49fd06fe884ae69d5c67a8288a64dbeb39c5b4629a3b0ce 50356 dpkg-cross_2.4.0_all.deb
 73427b798ac560776b80413acf6d38c2607550d4eff9d642b0c83a06ce34e6db 32918 libdebian-dpkgcross-perl_2.4.0_all.deb
Files: 
 553387c5146e86fa5dda3e4275719bd4 1223 utils extra dpkg-cross_2.4.0.dsc
 6fefb3522eee6cc2ecbb4c1a2e07ed85 73460 utils extra dpkg-cross_2.4.0.tar.gz
 45a4cc048975bf52f7cb05a00e3a707d 50356 utils extra dpkg-cross_2.4.0_all.deb
 486eb96b50c2d888ed8d705ba8ffae4e 32918 perl extra libdebian-dpkgcross-perl_2.4.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmYFj8ACgkQiAEJSii8s+Nx9QCfRZHVrXhe3DkuoVbBFpP9WZ16
TmwAnj3yhbap6qeWltV4cu7ttM/Dor+U
=U8XH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 07:34:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:35:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.